BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

This enumeration is used with the class.

Although and are members of , they are not valid for use as the parameter for because they describe no file access types or all file access types, respectively, and expects a single file access type.

Giving access to an assembly is similar to granting it Full Trust. If an application should not write to the file system it should not have access.

Specifies the type of file access requested.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.FileIOPermissionAccess AllAccess To be added.

  , , , and access to a file or directory. represents multiple values and causes an when used as the parameter for the method, which expects a single value.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.FileIOPermissionAccess Append

  To create files, code must also be granted both and either or access. For more detail see .

  Access to append material to a file or directory. access includes the ability to create a new file or directory.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.FileIOPermissionAccess NoAccess To be added.

  No access to a file or directory. represents no valid values and causes an when used as the parameter for , which expects a single value.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.FileIOPermissionAccess PathDiscovery

  For performance reasons, PathDiscovery should only be granted to directories, not to files. For example, PathDiscovery permission should be granted to paths such as C:\test and C:\test\, not C:\test\example.txt.

  Access to the information in the path itself. This helps protect sensitive information in the path, such as user names, as well as information about the directory structure revealed in the path. This value does not grant access to files or folders represented by the path.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.FileIOPermissionAccess Read To be added.

  Access to read from a file or directory.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.FileIOPermissionAccess Write To be added.

  Access to write to or delete a file or directory. access includes deleting and overwriting files or directories.

  0
0